export interface AddFunctionOptions {
	a: number;
	b: number;
}

export interface AddFunction {
	(options: AddFunctionOptions): number;
}

export const add: AddFunction = (options: AddFunctionOptions): number => {
  if (process.env.NODE_ENV !== 'production') {
    console.log('This code would not appear on production builds');
  }
	const { a, b } = options as unknown as Record<string, unknown>;
	if (typeof a !== 'number' || typeof b !== 'number') {
		throw new TypeError('a and b must be numbers');
	}
	if (!Number.isFinite(a) || !Number.isFinite(b)) {
		throw new RangeError('a and b must be finite numbers');
	}

  return a + b;
};
