import { FastifyInstance } from 'fastify';
import {
	describe,
	it,
	expect,
	beforeAll,
	afterAll,
} from 'vitest';
import { createServer } from '../src/server';
import { addRoutes } from '../src/routes';

describe('Example', () => {
	let SERVER: FastifyInstance;

	beforeAll(() => {
		SERVER = createServer();
		addRoutes(SERVER);
	});

	afterAll(async () => {
		await SERVER.close();
	});

  it('should have the expected content', async () => {
    const response = await SERVER
      .inject()
      .post('/')
			.body({ a: 1, b: 2 })
      .headers({
        'Accept': 'application/json',
      });
    expect(response.statusCode).toBe(200);
  });
});
